Loading...
Searching...
No Matches
pcl::InterestPoint Struct Reference
Module common

A point structure representing an interest point with Euclidean xyz coordinates, and an interest value. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

union { |
struct { |
float strength |
} |  |
float data_c [4] |
}; |  |

## Friends

PCL_MAKE_ALIGNED_OPERATOR_NEW friend std::ostream & | operator<< (std::ostream &os, const InterestPoint &p)

## Detailed Description

A point structure representing an interest point with Euclidean xyz coordinates, and an interest value.

Definition at line 759 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

PCL_MAKE_ALIGNED_OPERATOR_NEW friend std::ostream & operator<< | ( | std::ostream & | os,
|  | const InterestPoint & | p
| ) |  |

friend

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::InterestPoint

## data_c

float pcl::InterestPoint::data_c[4]

Definition at line 768 of file point_types.hpp.

## strength

float pcl::InterestPoint::strength

Definition at line 766 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::add(), pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::demean(), pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::findObjects(), pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::get(), pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::operator()(), and pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::set().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp